package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 危急值记录
 * </p>
 *
 * @author cy
 * @time: 2024-10-09
 */
public class StrCrisisNote implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private Date recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 危急值报告
     */
    private String crisisNote;

    /**
     * 病情分析及处理
     */
    private String briefNote;

    /**
     * 接收时间
     */
    private Date recieveDate;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private Date recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private Date auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间
     */
    private Date gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;

    public String getRecId() {
        return recId;
    }

    public void setRecId(String recId) {
        this.recId = recId;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }
    public String getBedNo() {
        return bedNo;
    }

    public void setBedNo(String bedNo) {
        this.bedNo = bedNo;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public Date getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }
    public String getRecTitle() {
        return recTitle;
    }

    public void setRecTitle(String recTitle) {
        this.recTitle = recTitle;
    }
    public String getCrisisNote() {
        return crisisNote;
    }

    public void setCrisisNote(String crisisNote) {
        this.crisisNote = crisisNote;
    }
    public String getBriefNote() {
        return briefNote;
    }

    public void setBriefNote(String briefNote) {
        this.briefNote = briefNote;
    }
    public Date getRecieveDate() {
        return recieveDate;
    }

    public void setRecieveDate(Date recieveDate) {
        this.recieveDate = recieveDate;
    }
    public String getRecDoctor() {
        return recDoctor;
    }

    public void setRecDoctor(String recDoctor) {
        this.recDoctor = recDoctor;
    }
    public Date getRecDate() {
        return recDate;
    }

    public void setRecDate(Date recDate) {
        this.recDate = recDate;
    }
    public String getAuditDoctor() {
        return auditDoctor;
    }

    public void setAuditDoctor(String auditDoctor) {
        this.auditDoctor = auditDoctor;
    }
    public Date getAuditDate() {
        return auditDate;
    }

    public void setAuditDate(Date auditDate) {
        this.auditDate = auditDate;
    }
    public String getWholeData() {
        return wholeData;
    }

    public void setWholeData(String wholeData) {
        this.wholeData = wholeData;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "StrCrisisNote{" +
            "recId=" + recId +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", name=" + name +
            ", sex=" + sex +
            ", age=" + age +
            ", bedNo=" + bedNo +
            ", deptName=" + deptName +
            ", recordDate=" + recordDate +
            ", recTitle=" + recTitle +
            ", crisisNote=" + crisisNote +
            ", briefNote=" + briefNote +
            ", recieveDate=" + recieveDate +
            ", recDoctor=" + recDoctor +
            ", recDate=" + recDate +
            ", auditDoctor=" + auditDoctor +
            ", auditDate=" + auditDate +
            ", wholeData=" + wholeData +
            ", remark=" + remark +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
        "}";
    }
}
